Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7908 - tags not processed properly if not in order
Summary: tags not processed properly if not in order
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-20 19:44 UTC by vadim
Modified: 2007-04-18 16:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-10 19:23:23 UTC


Attachments (Terms of Use)

Description vadim 1999-12-20 19:44:16 UTC
something like

%package bla
...
...
%files bla
...
...

%description
%files

i.e. when main package information is following, doesn't seem to work. Yet
it's a very nice thing to have (if subpackage info is %included)

Comment 1 Jeff Johnson 2001-02-21 18:48:51 UTC
What's really needed is the ability to include a "chunk" (i.e. another specfile)
for
a sub-package and have the Right Thing Happen, i.e. scriptlets merged etc.
The scoping issues with the spec file parser you point out are examples of
the problems that need to be solved.

Gonna be a PITA, can't be helped.

Changing component.

Comment 2 Stephen John Smoogen 2003-01-23 23:51:52 UTC
Does this look to be a possible rpm for the RPM-4.1/2 stage or something for a
much furhter release?

Comment 3 Jeff Johnson 2003-01-24 13:43:02 UTC
Yes, this is doable, but is still low priority.

Comment 4 Jeff Johnson 2004-02-10 19:23:23 UTC
Spec file syntax cannot be changed, de facto is all there is.


Note You need to log in before you can comment on or make changes to this bug.